#ifndef PMS_MAIN_H
#define PMS_MAIN_H

#include <Pilot.h>
#include <SysEvtMgr.h>
#include <PageMgr.h>
#include <PrintMgr.h>

typedef enum {
   pageMgrLoaded,
   pageMgrOpened,
   pageMgrUnloaded
} PageMgrStateEnum;

typedef enum {
	PageManager,
	PrintManager
} BPMTypeEnum;





 Boolean MainFormButtonHandler (FormPtr formP, EventPtr eventP);
 Boolean MainFormMenuHandler (FormPtr formP, EventPtr eventP);
 UInt    MainFormGetRefNum (FormPtr formP);
 void    MainFormSetRefNum (FormPtr formP, UInt refNum);
 void    MainFormEnableControls (FormPtr formP, PageMgrStateEnum pageMgrState);
 void    MainFormEnableControl (FormPtr formP, Word objectID, Boolean enabled);
 void    MainFormGetPrinter (FormPtr formP, CharPtr printer, UInt len);
 void	 MainFormGetPort	(FormPtr formP, CharPtr port, UInt len);

// PageMgr function wrappers.
 Err     SampleLoad (FormPtr formP, BPMTypeEnum Type);
 Err     SampleUnload (FormPtr formP );

 Err     SampleOpen (FormPtr formP, BPMTypeEnum Type);
 Err     SampleClose (FormPtr formP, BPMTypeEnum Type);



 Err     SampleSettings (FormPtr formP, BPMTypeEnum);


#endif